<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.geometry.*?>
<?import javafx.scene.control.*?>
<?import javafx.scene.layout.*?>

<AnchorPane prefHeight="240.0" prefWidth="430.0" xmlns="http://javafx.com/javafx/10.0.2-internal" xmlns:fx="http://javafx.com/fxml/1" fx:controller="controller.usuario.RegistrarClienteController">
    <children>
        <VBox prefHeight="235.0" prefWidth="423.0" spacing="10.0" AnchorPane.bottomAnchor="0.0" AnchorPane.leftAnchor="0.0" AnchorPane.rightAnchor="0.0" AnchorPane.topAnchor="0.0">
            <children>
                <Label alignment="CENTER" maxHeight="1.7976931348623157E308" maxWidth="1.7976931348623157E308" text="Registrar Cliente" textAlignment="RIGHT" />
                <GridPane>
                    <columnConstraints>
                        <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
                        <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
                    </columnConstraints>
                    <rowConstraints>
                        <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                        <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                        <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                    </rowConstraints>
                    <children>
                        <TextField fx:id="txtId" GridPane.columnIndex="1" />
                        <Label text="Cédula o ID:" />
                        <Label text="Nombre Completo:" GridPane.rowIndex="1" />
                        <Label text="Nueva contraseña:" GridPane.rowIndex="2" />
                        <TextField fx:id="txtNombreCompleto" GridPane.columnIndex="1" GridPane.rowIndex="1" />
                        <PasswordField fx:id="txtContrasenia" GridPane.columnIndex="1" GridPane.rowIndex="2" />
                    </children>
                    <VBox.margin>
                        <Insets left="10.0" right="10.0" />
                    </VBox.margin>
                </GridPane>
                <ButtonBar prefHeight="40.0" prefWidth="200.0">
                    <buttons>
                        <Button mnemonicParsing="false" onAction="#btnRegistrarse_action" text="Registrarse" />
                    </buttons>
                    <VBox.margin>
                        <Insets left="10.0" right="10.0" />
                    </VBox.margin>
                </ButtonBar>
            </children>
        </VBox>
    </children>

</AnchorPane>
